Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.core.support
Class TransactionalRepositoryFactoryBeanSupport<T extends Repository<S,ID>,S,ID extends Serializable>

    java.lang.Object
      org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport<T,S,ID>
          org.springframework.data.repository.core.support.TransactionalRepositoryFactoryBeanSupport<T,S,ID>

All Implemented Interfaces:
  BeanFactoryAware, FactoryBean<T>, InitializingBean, RepositoryFactoryInformation<S,ID>

    public abstract class TransactionalRepositoryFactoryBeanSupport<T extends Repository<S,ID>,S,ID extends Serializable>

extends RepositoryFactoryBeanSupport<T,S,ID>
implements BeanFactoryAware

Extension of `RepositoryFactoryBeanSupport` to add transactional capabilities to the repository proxy. Will register a `TransactionalRepositoryProxyPostProcessor` that in turn adds a `TransactionInterceptor` to the repository proxy to be created.

Author:
  Oliver Gierke

Constructor Summary
`TransactionalRepositoryFactoryBeanSupport()`

Method Summary
`protected RepositoryFactorySupport` | `createRepositoryFactory()` Delegates `RepositoryFactorySupport` creation to `doCreateRepositoryFactory()` and applies the `TransactionalRepositoryProxyPostProcessor` to the created instance.
`protected abstract RepositoryFactorySupport` | `doCreateRepositoryFactory()` Creates the actual `RepositoryFactorySupport` instance.
`void` | `setBeanFactory(BeanFactory beanFactory)`
`void` | `setTransactionManager(String transactionManager)` Setter to configure which transaction manager to be used.

Methods inherited from class org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport
`afterPropertiesSet, getEntityInformation, getObject, getObjectType, getRepositoryInterface, isSingleton, setCustomImplementation, setNamedQueries, setQueryLookupStrategyKey, setRepositoryInterface`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionalRepositoryFactoryBeanSupport

    public TransactionalRepositoryFactoryBeanSupport()

Method Detail

### setTransactionManager

    public void setTransactionManager(String transactionManager)

  Setter to configure which transaction manager to be used. We have to use the bean name explicitly as otherwise the qualifier of the `Transactional` annotation is used. By explicitly defining the transaction manager bean name we favour let this one be the default one chosen.

  Parameters:
    `transactionManager` -

### createRepositoryFactory

    protected final RepositoryFactorySupport createRepositoryFactory()

  Delegates `RepositoryFactorySupport` creation to `doCreateRepositoryFactory()` and applies the `TransactionalRepositoryProxyPostProcessor` to the created instance.

  Specified by:
    `createRepositoryFactory` in class `RepositoryFactoryBeanSupport<T extends Repository<S,ID>,S,ID extends Serializable>`
  Returns:
  See Also:
    `#createRepositoryFactory()`

### doCreateRepositoryFactory

    protected abstract RepositoryFactorySupport doCreateRepositoryFactory()

  Creates the actual `RepositoryFactorySupport` instance.

  Returns:

### setBeanFactory

    public void setBeanFactory(BeanFactory beanFactory)

  Specified by:
    `setBeanFactory` in interface `BeanFactoryAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.